# @package      hubzero-python
# @file         setup.py
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2012-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#
'''
hubzero-trac is a toplevel package stub
(hubzero.trac) to namespace hubzero python
libraries used by trac 
'''

classifiers = '''\
Development Status :: 5 - Production/Stable
License :: OSI Approved :: MIT License
Operating System :: POSIX :: Linux
Programming Language :: Python\
'''.split('\n')

import os
from distutils.core import setup

setup(
    name='hubzero-trac',
    version='2.2.0',
    license = 'MIT License',
    description='HUBzero Trac support code',
    classifiers = classifiers,
    url='http://hubzero.org',
    author='Nicholas J. Kisseberth',
    author_email='nkissebe@purdue.edu',
    packages=['hubzero.trac'],
)

# vim:ts=4 sw=4 et
